Subject: Re: [bug#52109] [PATCH] gnu: Add unrar-free.

From: "Leo Famulari" <[email-masked]>
Date: Thu, 12 Jan 2023 07:54:19 -0500

On Thu, Jan 12, 2023, at 01:22, Liliana Marie Prikler wrote:
> But as it stands right now, I see it as little more than a piece
> of software that makes people go "but how do I get the _real_ unrar?",

This argument, whether or not it has merit on its own, has no precedent within Guix as a reason to exclude a free software program.

I'm sure most of us can name some Guix packages that we dislike because we see them in some unflattering or uncharitable way. But, we bite our tongues because Guix has a precedent of accepting freely licensed programs that are minimally functionally and not malware. Guix has had very liberal package acceptance criteria at least since I joined, if not since it began, and changing this precedent should require overwhelming consensus.

If there is a concrete objection (not conjecture or speculation) to this patch based on the criteria of the FSDG and precedents of Guix package acceptance, please share it. Otherwise, I think the patch should be accepted.